5 Replies Latest reply on May 19, 2009 12:05 AM by Mack Fata

    ESB 4.1 Installation error on Linx

    Mack Fata Newbie

      Linux atseinf1 2.6.9-5.ELsmp #1 SMP Wed Jan 5 19:30:39 EST 2005 i686 i686 i386 GNU/Linux

      $ sh fuse-esb-4.1.0.0-unix.bin

      Preparing to install...

      Extracting the installation resources from the installer archive...

      Configuring the installer for this system's environment...

       

      Launching installer...

       

      Warning: -Xmx268435456 not understood. Ignoring.

      Warning: -Xms16777216 not understood. Ignoring.

      Invocation of this Java Application has caused an InvocationTargetException. This application will now exit. (LAX)

       

      Stack Trace:

      java.lang.NoClassDefFoundError: while resolving class: ZeroGe

         at java.lang.VMClassLoader.resolveClass(java.lang.Class) (/usr/lib/libgcj.so.5.0.0)

         at java.lang.Class.initializeClass() (/usr/lib/libgcj.so.5.0.0)

         at JvResolvePoolEntry(java.lang.Class, int) (/usr/lib/libgcj.so.5.0.0)

         at ZeroGd.() (Unknown Source)

         at java.lang.Class.initializeClass() (/usr/lib/libgcj.so.5.0.0)

         at JvResolvePoolEntry(java.lang.Class, int) (/usr/lib/libgcj.so.5.0.0)

         at com.zerog.ia.installer.LifeCycleManager.a(boolean) (Unknown Source)

         at com.zerog.ia.installer.LifeCycleManager.b(java.lang.String[]) (Unknown Source)

         at com.zerog.ia.installer.LifeCycleManager.a(java.lang.String[]) (Unknown Source)

         at com.zerog.ia.installer.Main.main(java.lang.String[]) (Unknown Source)

      Caused by: java.lang.ClassNotFoundException: com.apple.mrj.MRJOSType not found in file:/tmp/install.dir.26241/InstallerData/, file:/tmp/install.dir.26241/InstallerData/installer.zip, file:/usr/share/java/libgcj-3.4.3.jar, file:./, core:/

         at java.net.URLClassLoader.findClass(java.lang.String) (/usr/lib/libgcj.so.5.0.0)

         at gnu.gcj.runtime.VMClassLoader.findClass(java.lang.String) (/usr/lib/libgcj.so.5.0.0)

         at java.lang.ClassLoader.loadClass(java.lang.String, boolean) (/usr/lib/libgcj.so.5.0.0)

         at JvFindClass(_Jv_Utf8Const, java.lang.ClassLoader) (/usr/lib/libgcj.so.5.0.0)

         at java.lang.Class.forName(java.lang.String, boolean, java.lang.ClassLoader) (/usr/lib/libgcj.so.5.0.0)

         at JvBytecodeVerifier.verify_instructions_0() (/usr/lib/libgcj.so.5.0.0)

         at JvVerifyMethod(_Jv_InterpMethod) (/usr/lib/libgcj.so.5.0.0)

         at JvPrepareClass(java.lang.Class) (/usr/lib/libgcj.so.5.0.0)

         at JvWaitForState(java.lang.Class, int) (/usr/lib/libgcj.so.5.0.0)

         at java.lang.VMClassLoader.linkClass0(java.lang.Class) (/usr/lib/libgcj.so.5.0.0)

         at java.lang.VMClassLoader.resolveClass(java.lang.Class) (/usr/lib/libgcj.so.5.0.0)

         ...9 more

      This Application has Unexpectedly Quit: Invocation of this Java Application has caused an InvocationTargetException. This application will now exit. (LAX)

       

       

      The same error when I run the installation with the -i console

        • 1. Re: ESB 4.1 Installation error on Linx
          Ulhas Bhole Novice

          you seems to be using gcj which is not fully compatible with the installer. Can you try setting JAVA_HOME to some JDK 1.5/1.6 installation and start the installation again?

           

          Ulhas

          • 2. Re: ESB 4.1 Installation error on Linx
            Mack Fata Newbie

            Still getting the same error

             

            $ env | grep JAVA

            JAVA_HOME=/opt/java

             

            $ which java

            /opt/java/bin/java

             

            $ java -version

            java version "1.6.0_11"

            Java(TM) SE Runtime Environment (build 1.6.0_11-b03)

            Java HotSpot(TM) Client VM (build 11.0-b16, mixed mode, sharing)

             

            $ ./fuse-esb-4.1.0.0-unix.bin -i console

            Preparing to install...

            Extracting the installation resources from the installer archive...

            Configuring the installer for this system's environment...

             

            Launching installer...

             

            Warning: -Xmx268435456 not understood. Ignoring.

            Warning: -Xms16777216 not understood. Ignoring.

            Invocation of this Java Application has caused an InvocationTargetException. This application will now exit. (LAX)

             

            Stack Trace:

            java.lang.NoClassDefFoundError: while resolving class: ZeroGe

               at java.lang.VMClassLoader.resolveClass(java.lang.Class) (/usr/lib/libgcj.so.5.0.0)

               at java.lang.Class.initializeClass() (/usr/lib/libgcj.so.5.0.0)

               at JvResolvePoolEntry(java.lang.Class, int) (/usr/lib/libgcj.so.5.0.0)

               at ZeroGd.() (Unknown Source)

               at java.lang.Class.initializeClass() (/usr/lib/libgcj.so.5.0.0)

               at JvResolvePoolEntry(java.lang.Class, int) (/usr/lib/libgcj.so.5.0.0)

               at com.zerog.ia.installer.LifeCycleManager.a(boolean) (Unknown Source)

               at com.zerog.ia.installer.LifeCycleManager.b(java.lang.String[]) (Unknown Source)

               at com.zerog.ia.installer.LifeCycleManager.a(java.lang.String[]) (Unknown Source)

               at com.zerog.ia.installer.Main.main(java.lang.String[]) (Unknown Source)

            Caused by: java.lang.ClassNotFoundException: com.apple.mrj.MRJOSType not found in file:/tmp/install.dir.9003/InstallerData/, file:/tmp/install.dir.9003/InstallerData/installer.zip, file:/usr/share/java/libgcj-3.4.3.jar, file:./, core:/

               at java.net.URLClassLoader.findClass(java.lang.String) (/usr/lib/libgcj.so.5.0.0)

               at gnu.gcj.runtime.VMClassLoader.findClass(java.lang.String) (/usr/lib/libgcj.so.5.0.0)

               at java.lang.ClassLoader.loadClass(java.lang.String, boolean) (/usr/lib/libgcj.so.5.0.0)

               at JvFindClass(_Jv_Utf8Const, java.lang.ClassLoader) (/usr/lib/libgcj.so.5.0.0)

               at java.lang.Class.forName(java.lang.String, boolean, java.lang.ClassLoader) (/usr/lib/libgcj.so.5.0.0)

               at JvBytecodeVerifier.verify_instructions_0() (/usr/lib/libgcj.so.5.0.0)

               at JvVerifyMethod(_Jv_InterpMethod) (/usr/lib/libgcj.so.5.0.0)

               at JvPrepareClass(java.lang.Class) (/usr/lib/libgcj.so.5.0.0)

               at JvWaitForState(java.lang.Class, int) (/usr/lib/libgcj.so.5.0.0)

               at java.lang.VMClassLoader.linkClass0(java.lang.Class) (/usr/lib/libgcj.so.5.0.0)

               at java.lang.VMClassLoader.resolveClass(java.lang.Class) (/usr/lib/libgcj.so.5.0.0)

               ...9 more

             

            (:9003): Gtk-WARNING **: cannot open display:

            $

            • 3. Re: ESB 4.1 Installation error on Linx
              Claus Ibsen Master

              Just a note on the stacktrace.

               

              It says: com.apple

              Caused by: java.lang.ClassNotFoundException: com.apple.mrj.MRJOSType not found in

               

              I was just wondering why some apple .jar is expected in the linux installer?

              • 4. Re: ESB 4.1 Installation error on Linx
                Ulhas Bhole Novice

                 

                (:9003): Gtk-WARNING **: cannot open display:

                $

                 

                It looks like you don't have DISPLAY variable set properly as well.

                you can try few things below:

                1. set DISPLAY variable properly.

                2. try exporting LAX_DEBUG=true and then run installer to get more detailed DEBUG log to find out more.

                3. you can try setting JAVA_HOME to $/jre directory and also make sure $/jre/bin in path.

                4. you can try forcing the JVM for installer by using LAX_VM option. Either export LAX_VM=<your-jre>/bin/java e.g export LAX_VM=/opt/java/jre/bin/java or ./fuse-esb-4.1.0.0-unix.bin LAX_VM /opt/java/jre/bin/java -i console

                 

                /Ulhas

                • 5. Re: ESB 4.1 Installation error on Linx
                  Mack Fata Newbie

                  Great news, the issue is fixed.

                   

                  When I ran the installation in debug mode by exporting LAX_DEBUG=true

                  I found the following error:

                   

                  checking: "1.6.0_11" against "JRE_J2": failed (wrong version)

                  • Using VM:............................. /usr/lib/jvm/jre-1.4.2-gcj/bin/java

                   

                  Then I changed the JAVA_HOME to JAVA_HOME/JRE and updated the PATH to have JAVA_HOME/jre/bin fist in the path the installation worked.

                   

                  Thanks for your help.